Page MenuHomePhabricator

[ARM][TargetParser] Improve handling of dependencies between target features
ClosedPublic

Authored by chill on Jan 15 2020, 5:48 AM.

Details

Summary

The patch at https://reviews.llvm.org/D64048 added "negative" dependency
handling in ARM::appendArchExtFeatures: feature "noX" removes all features,
which imply "X".

This patch adds the "positive" handling: feature "X" adds all the feature
strings implied by "X".

(This patch also comes from the suggestion here https://reviews.llvm.org/D72633#inline-658582)

Diff Detail

Event Timeline

chill created this revision.Jan 15 2020, 5:48 AM
chill updated this revision to Diff 238282.Jan 15 2020, 8:53 AM
This revision is now accepted and ready to land.Jan 17 2020, 3:52 PM
labrinea accepted this revision.Jan 20 2020, 1:17 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2020, 8:12 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript